using SqlSugar;

namespace DeviceRepair.Models.Plan.View
{
    [SugarTable("View_DeviceRoot")]
    public class View_DeviceRootInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "AutoID")]
        public int? AutoID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public string EquipmentID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentName")]
        public string EquipmentName { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RootName")]
        public string RootName { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "MaintenanceFormVersion")]
        public string MaintenanceFormVersion { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentStatus")]
        public int? EquipmentStatus { get; set; }

    }
}
